org.fourthline.cling.support.model

## Class DIDLObject

- java.lang.Object
- - org.fourthline.cling.support.model.DIDLObject

- Direct Known Subclasses:
    Container, Item

      public abstract class DIDLObject
      extends Object

  Author:
    Christian Bauer, Mario Franco

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DIDLObject.Class`
    `static class` | `DIDLObject.Property<V>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected DIDLObject.Class` | `clazz`
    `protected String` | `creator`
    `protected List<DescMeta>` | `descMetadata`
    `protected String` | `id`
    `protected String` | `parentID`
    `protected List<DIDLObject.Property>` | `properties`
    `protected List<Res>` | `resources`
    `protected boolean` | `restricted`
    `protected String` | `title`
    `protected WriteStatus` | `writeStatus`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DIDLObject()`
    `protected` | `DIDLObject(DIDLObject other)`
    `protected` | `DIDLObject(String id, String parentID, String title, String creator, boolean restricted, WriteStatus writeStatus, DIDLObject.Class clazz, List<Res> resources, List<DIDLObject.Property> properties, List<DescMeta> descMetadata)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DIDLObject` | `addDescMetadata(DescMeta descMetadata)`
    `DIDLObject` | `addProperties(DIDLObject.Property[] properties)`
    `DIDLObject` | `addProperty(DIDLObject.Property property)`
    `DIDLObject` | `addResource(Res resource)`
    `boolean` | `equals(Object o)`
    `DIDLObject.Class` | `getClazz()`
    `String` | `getCreator()`
    `List<DescMeta>` | `getDescMetadata()`
    `<V> DIDLObject.Property<V>` | `getFirstProperty(Class<? extends DIDLObject.Property<V>> propertyClass)`
    `<V> V` | `getFirstPropertyValue(Class<? extends DIDLObject.Property<V>> propertyClass)`
    `Res` | `getFirstResource()`
    `String` | `getId()`
    `<V> DIDLObject.Property<V>` | `getLastProperty(Class<? extends DIDLObject.Property<V>> propertyClass)`
    `String` | `getParentID()`
    `List<DIDLObject.Property>` | `getProperties()`
    `<V> DIDLObject.Property<V>[]` | `getProperties(Class<? extends DIDLObject.Property<V>> propertyClass)`
    `<V> DIDLObject.Property<V>[]` | `getPropertiesByNamespace(Class<? extends DIDLObject.Property.NAMESPACE> namespace)`
    `<V> List<V>` | `getPropertyValues(Class<? extends DIDLObject.Property<V>> propertyClass)`
    `List<Res>` | `getResources()`
    `String` | `getTitle()`
    `WriteStatus` | `getWriteStatus()`
    `int` | `hashCode()`
    `boolean` | `hasProperty(Class<? extends DIDLObject.Property> propertyClass)`
    `boolean` | `isRestricted()`
    `DIDLObject` | `removeProperties(Class<? extends DIDLObject.Property> propertyClass)`
    `DIDLObject` | `replaceFirstProperty(DIDLObject.Property property)`
    `DIDLObject` | `replaceProperties(Class<? extends DIDLObject.Property> propertyClass, DIDLObject.Property[] properties)`
    `DIDLObject` | `setClazz(DIDLObject.Class clazz)`
    `DIDLObject` | `setCreator(String creator)`
    `void` | `setDescMetadata(List<DescMeta> descMetadata)`
    `DIDLObject` | `setId(String id)`
    `DIDLObject` | `setParentID(String parentID)`
    `DIDLObject` | `setProperties(List<DIDLObject.Property> properties)`
    `DIDLObject` | `setResources(List<Res> resources)`
    `DIDLObject` | `setRestricted(boolean restricted)`
    `DIDLObject` | `setTitle(String title)`
    `DIDLObject` | `setWriteStatus(WriteStatus writeStatus)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          protected String id

    - #### parentID

          protected String parentID

    - #### title

          protected String title

    - #### creator

          protected String creator

    - #### restricted

          protected boolean restricted

    - #### writeStatus

          protected WriteStatus writeStatus

    - #### clazz

          protected DIDLObject.Class clazz

    - #### resources

          protected List<Res> resources

    - #### properties

          protected List<DIDLObject.Property> properties

    - #### descMetadata

          protected List<DescMeta> descMetadata

  - ### Constructor Detail

    - #### DIDLObject

          protected DIDLObject()

    - #### DIDLObject

          protected DIDLObject(DIDLObject other)

    - #### DIDLObject

          protected DIDLObject(String id,
                               String parentID,
                               String title,
                               String creator,
                               boolean restricted,
                               WriteStatus writeStatus,
                               DIDLObject.Class clazz,
                               List<Res> resources,
                               List<DIDLObject.Property> properties,
                               List<DescMeta> descMetadata)

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public DIDLObject setId(String id)

    - #### getParentID

          public String getParentID()

    - #### setParentID

          public DIDLObject setParentID(String parentID)

    - #### getTitle

          public String getTitle()

    - #### setTitle

          public DIDLObject setTitle(String title)

    - #### getCreator

          public String getCreator()

    - #### setCreator

          public DIDLObject setCreator(String creator)

    - #### isRestricted

          public boolean isRestricted()

    - #### setRestricted

          public DIDLObject setRestricted(boolean restricted)

    - #### getWriteStatus

          public WriteStatus getWriteStatus()

    - #### setWriteStatus

          public DIDLObject setWriteStatus(WriteStatus writeStatus)

    - #### getFirstResource

          public Res getFirstResource()

    - #### getResources

          public List<Res> getResources()

    - #### setResources

          public DIDLObject setResources(List<Res> resources)

    - #### addResource

          public DIDLObject addResource(Res resource)

    - #### getClazz

          public DIDLObject.Class getClazz()

    - #### setClazz

          public DIDLObject setClazz(DIDLObject.Class clazz)

    - #### getProperties

          public List<DIDLObject.Property> getProperties()

    - #### setProperties

          public DIDLObject setProperties(List<DIDLObject.Property> properties)

    - #### addProperty

          public DIDLObject addProperty(DIDLObject.Property property)

    - #### replaceFirstProperty

          public DIDLObject replaceFirstProperty(DIDLObject.Property property)

    - #### replaceProperties

          public DIDLObject replaceProperties(Class<? extends DIDLObject.Property> propertyClass,
                                              DIDLObject.Property[] properties)

    - #### addProperties

          public DIDLObject addProperties(DIDLObject.Property[] properties)

    - #### removeProperties

          public DIDLObject removeProperties(Class<? extends DIDLObject.Property> propertyClass)

    - #### hasProperty

          public boolean hasProperty(Class<? extends DIDLObject.Property> propertyClass)

    - #### getFirstProperty

          public <V> DIDLObject.Property<V> getFirstProperty(Class<? extends DIDLObject.Property<V>> propertyClass)

    - #### getLastProperty

          public <V> DIDLObject.Property<V> getLastProperty(Class<? extends DIDLObject.Property<V>> propertyClass)

    - #### getProperties

          public <V> DIDLObject.Property<V>[] getProperties(Class<? extends DIDLObject.Property<V>> propertyClass)

    - #### getPropertiesByNamespace

          public <V> DIDLObject.Property<V>[] getPropertiesByNamespace(Class<? extends DIDLObject.Property.NAMESPACE> namespace)

    - #### getFirstPropertyValue

          public <V> V getFirstPropertyValue(Class<? extends DIDLObject.Property<V>> propertyClass)

    - #### getPropertyValues

          public <V> List<V> getPropertyValues(Class<? extends DIDLObject.Property<V>> propertyClass)

    - #### getDescMetadata

          public List<DescMeta> getDescMetadata()

    - #### setDescMetadata

          public void setDescMetadata(List<DescMeta> descMetadata)

    - #### addDescMetadata

          public DIDLObject addDescMetadata(DescMeta descMetadata)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.